Subject: bug#65622: Inappropriate suppression of backtrace on an error

From: Michael Heerdegen <[email-masked]>
Date: Thu, 31 Aug 2023 01:16:42 +0200

Alan Mackenzie <[email-masked]> writes:

> Hello, Emacs.
> (v) Set debug-on-error to t with M-: (setq debug-on-error t).
> (vi) Repeat (iv).  This throws the same error, without a backtrace.  This
>   lack of a backtrace is a bug.

I think you just need (setq eval-expression-debug-on-error t).

Stumbled over the same issue ... yesterday?, or so.  Also when debugging
Edebug.

Maybe people would like debug-on-error -> t taking precedence over
eval-expression-debug-on-error -> nil?  The danger is they turn both off
by default and then forget about the second one.

Michael.